Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineQueryResults

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineQueryResults

Enclosing class:
  TdApi

public static final class TdApi.InlineQueryResults extends TdApi.Object
Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`inlineQueryId`
Unique identifier of the inline query.
`String`
`nextOffset`
The offset for the next request.
`TdApi.InlineQueryResult[]`
`results`
Results of the query.
`String`
`switchPmParameter`
Parameter for the bot start message.
`String`
`switchPmText`
If non-empty, this text must be shown on the button, which opens a private chat with the bot and sends the bot a start message with the switchPmParameter.

## Constructor Summary

Constructors
Constructor
Description
`InlineQueryResults()`
Represents the results of the inline query.
`InlineQueryResults(long inlineQueryId, String nextOffset, TdApi.InlineQueryResult[] results, String switchPmText, String switchPmParameter)`
Represents the results of the inline query.
`InlineQueryResults(DataInput input)`
Represents the results of the inline query.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inlineQueryId

public long inlineQueryId
Unique identifier of the inline query.

### nextOffset

public String nextOffset
The offset for the next request. If empty, there are no more results.

### results

public TdApi.InlineQueryResult[] results
Results of the query.

### switchPmText

public String switchPmText
If non-empty, this text must be shown on the button, which opens a private chat with the bot and sends the bot a start message with the switchPmParameter.

### switchPmParameter

public String switchPmParameter
Parameter for the bot start message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InlineQueryResults

public InlineQueryResults()
Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

### InlineQueryResults

public InlineQueryResults(long inlineQueryId, String nextOffset, TdApi.InlineQueryResult[] results, String switchPmText, String switchPmParameter)
Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

Parameters:
  `inlineQueryId` - long Unique identifier of the inline query.
  `nextOffset` - String The offset for the next request. If empty, there are no more results.
  `results` - InlineQueryResult[] Results of the query.
  `switchPmText` - String If non-empty, this text must be shown on the button, which opens a private chat with the bot and sends the bot a start message with the switchPmParameter.
  `switchPmParameter` - String Parameter for the bot start message.

### InlineQueryResults

public InlineQueryResults(DataInput input) throws IOException
Represents the results of the inline query. Use sendInlineQueryResultMessage to send the result of the query.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`